package com.alihealth.d2d.provtest.controller;

import cn.hutool.db.PageResult;
import com.alihealth.d2d.provtest.common.AjaxResult;
import com.alihealth.d2d.provtest.domain.vo.EnterpriseScanCode;
import com.alihealth.d2d.provtest.service.IDataStatisticsService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.Map;

/**
 * @author Jason 数据统计
 * @date 2025年06月13日 11:30:09
 */
@RestController
@RequestMapping("dataStatistics")
public class DataStatisticsController {

    @Autowired
    private IDataStatisticsService dataStatisticsService;


    @GetMapping("/enterprise/scanCode")
    public AjaxResult pageScanCode(
            @RequestParam(defaultValue = "1") Integer current,
            @RequestParam(defaultValue = "10") Integer size,
            @RequestParam(required = false) String name,
            @RequestParam(required = false) String socialCreditCode,
            @RequestParam(required = false) String type) {

        Page<EnterpriseScanCode> page = new Page<>(current, size);
        Page<EnterpriseScanCode> result = dataStatisticsService.pageScanCode(page, name, socialCreditCode,type);

        return AjaxResult.success(result);
    }

}
