package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;

/**
 * 药品零售与药品使用信息数据子集(DrugRetailAndUseApplyInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-11 17:43:40
 */
@SuppressWarnings("serial")
@Data
@Builder
@TableName("drug_retail_and_use_apply_info")
public class DrugRetailAndUseApplyInfo {
    //主键ID
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //事件流水号
    @Column(name = "event_id")
    private String eventId;
    //事件响应时间
    @Column(name = "rec_time")
    private Date recTime;
    //药品追溯码
    @Column(name = "ypzsm")
    private String ypzsm;
    //上一级包装药品追溯码
    @Column(name = "bzcj")
    private String bzcj;
    //包装层级
    @Column(name = "syjbzypzsm")
    private String syjbzypzsm;
    //暂无
    @Column(name = "ymzt")
    private String ymzt;
    //统一社会信用代码（境内药品生产企业）
    @Column(name = "tyshxydmjnypscqy")
    private String tyshxydmjnypscqy;
    //境内药品生产企业名称
    @Column(name = "jnypscqymc")
    private String jnypscqymc;
    //境外药品生产企业代码
    @Column(name = "jwypscqydm")
    private String jwypscqydm;
    //境外药品生产企业名称（中文）
    @Column(name = "jwypscqymczw")
    private String jwypscqymczw;
    //药品通用名称
    @Column(name = "yptymc")
    private String yptymc;
    //国家药品标识码
    @Column(name = "gjypbsm")
    private String gjypbsm;
    //药品批准文号
    @Column(name = "yppzwh")
    private String yppzwh;
    //药品批准文号有效期
    @Column(name = "yppzwhyxq")
    private Date yppzwhyxq;
    //疫苗生产批号
    @Column(name = "ymscph")
    private String ymscph;
    //生产日期
    @Column(name = "scrq")
    private Date scrq;
    //药品有效期截止日期
    @Column(name = "ypyxqjzrq")
    private Date ypyxqjzrq;
    //售药日期
    @Column(name = "syrq")
    private Date syrq;
    //统一社会信用代码（进口疫苗代理企业）
    @Column(name = "tyshxydmjkymdlqy")
    private String tyshxydmjkymdlqy;
    //进口疫苗代理企业名称
    @Column(name = "jkymdlqymc")
    private String jkymdlqymc;
    //售药数量
    @Column(name = "sysl")
    private Integer sysl;
    //售出时间
    @Column(name = "scsj")
    private Date scsj;
    //购买人身份信息
    @Column(name = "gmrsfxx")
    private String gmrsfxx;
    //购买人电话号码
    @Column(name = "gmrdhhm")
    private String gmrdhhm;
    //互联网订单标志
    @Column(name = "hlwddbz")
    private String hlwddbz;
    //剂型
    @Column(name = "jx")
    private String jx;
    //包装规格
    @Column(name = "bzgg")
    private String bzgg;
    //制剂规格
    @Column(name = "zjgg")
    private String zjgg;
    //包装转换比
    @Column(name = "bzzhb")
    private Integer bzzhb;
    //包装转换比单位
    @Column(name = "bzzhbdw")
    private String bzzhbdw;
    //药品注册分类
    @Column(name = "ypzcfl")
    private String ypzcfl;
    //特殊药品管理分类
    @Column(name = "tsypglfl")
    private String tsypglfl;
    //统一社会信用代码（零售药店）
    @Column(name = "tyshxydmlsyd")
    private String tyshxydmlsyd;
    //执业许可证登记号
    @Column(name = "zyxkzdjh")
    private String zyxkzdjh;
    //零售药店名称
    @Column(name = "lsydmc")
    private String lsydmc;
    //售药单位类型
    @Column(name = "sydwlx")
    private String sydwlx;
    //售药单位类型小类
    @Column(name = "sydwlxxl")
    private String sydwlxxl;
    //零售药店编号
    @Column(name = "lsdjbh")
    private String lsdjbh;
    //经营许可证编号
    @Column(name = "jyxkzbh")
    private String jyxkzbh;
    //卫生机构代码
    @Column(name = "wsjgdm")
    private String wsjgdm;
    //开方医师
    @Column(name = "kfys")
    private String kfys;
    //药品发药人
    @Column(name = "ypfyr")
    private String ypfyr;
    //药品使用者
    @Column(name = "ypsyz")
    private String ypsyz;
    //药品使用者代理人
    @Column(name = "ypsyzdlr")
    private String ypsyzdlr;
    //创建时间
    @Column(name = "create_time")
    private Date createTime;
    //更新时间
    @Column(name = "update_time")
    private Date updateTime;
    //是否删除(0-否 1-是)
    @Column(name = "is_deleted")
    private Integer isDeleted;

}

