package com.alihealth.d2d.provtest.service.handle.business;

import com.alihealth.d2d.provtest.domain.RevocationOrderApplyInfo;
import com.alihealth.d2d.provtest.entity.EventBasic;
import com.alihealth.d2d.provtest.entity.EventBody;
import com.alihealth.d2d.provtest.entity.InstanceDetail;
import com.alihealth.d2d.provtest.entity.ItemDetail;
import com.alihealth.d2d.provtest.service.IRevocationOrderApplyInfoService;
import com.alihealth.d2d.provtest.service.handle.AbstractEventDataHandler;
import com.alihealth.d2d.provtest.service.handle.EventSubType;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.ParseException;
import java.text.SimpleDateFormat;

@Service
@EventSubType("2020")
public class SubType2020Handler extends AbstractEventDataHandler<RevocationOrderApplyInfo> {

    @Autowired
    private IRevocationOrderApplyInfoService service;

    @Override
    protected Class<RevocationOrderApplyInfo> getEntityClass() {
        return RevocationOrderApplyInfo.class;
    }

    @Override
    protected IService<RevocationOrderApplyInfo> getService() {
        return service;
    }

    @Override
    protected RevocationOrderApplyInfo convertToEntity(EventBody eventBody, ItemDetail item, InstanceDetail instance,String eventId) {
        EventBasic evtBasic = eventBody.getEvtBasic();
        //时间格式
        SimpleDateFormat formatterDatetime = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        //日期格式
        SimpleDateFormat formatterDate = new SimpleDateFormat("yyyyMMdd");

        try {
            return RevocationOrderApplyInfo.builder()
                    .eventId(eventId)
                    .recTime(formatterDatetime.parse(eventBody.getRecTime()))

                    .ysddjh(evtBasic.getString("YSDDJH"))
                    .cxyy(evtBasic.getString("CXYY"))
                    .cxsj(formatterDatetime.parse(evtBasic.getString("CXSJ")))
                    .ysdlsh(evtBasic.getString("YSDLSH"))
                    .djlx(evtBasic.getString("DJLX"))
                    .gjypbsm(evtBasic.getString("GJYPBSM"))

                    .build();
        } catch (ParseException e) {
            throw new RuntimeException(e);
        }
    }

    @Override
    public String getSubType() {
        return "2020";
    }

    @Override
    public void handleBase(String xml, String eventId) {

    }
}
